<?php

/**
 * Project:     Collator Backup: the Question Writer results backup
 * File:        config.php
 *
 * Copyright 2008-2009 Central Question Ltd.
 * 
 * This application is provided as an extension of the 
 * Question Writer desktop software. Where you hold a valid, paid-for
 * license for the Question Writer desktop software, you are hereby 
 * granted a license to use and modify this application for personal use
 * and use internal to your organization. All other rights are reserved. 
 * 
 * This application is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * 
 * @link http://www.questionwriter.com/
 * @copyright 2008-2009 Central Question Ltd.
 * @author Alexander McCabe 
 * @package Collator Backup
 */

	
	//Function to return an error to the Question Writer Quiz
	//A 500 internal server error indicates to the quiz that the results have not been properly transmitted
	//It should report this to the user and might then try to resend, or send to the backup server.
	function returnError($errorText)
	{
		error_log($errorText);
		header('HTTP/1.1 500 Internal Server Error');
		print $errorText;
		exit(0);
	}//End Function
	
	//Function to check for a valid email
	function isValidEmail($emailID) 
	{
		return eregi("^[_a-z0-9-]+(\.[_a-z0-9-]+)*@[a-z0-9-]+(\.[a-z0-9-]+)*(\.[a-z]{2,4})$", $emailID);
	}//End Function
	
	//Function to extract the XML document from the POST stream 
	function getPostedXML() 
	{	
      global $HTTP_RAW_POST_DATA;
	  if($ret = @file_get_contents('php://input')) // Try to get the raw POST data
	  {	
		return $ret;
	  }
	  elseif(!empty($HTTP_RAW_POST_DATA)) // Second Attempt
	  {
		return $HTTP_RAW_POST_DATA;
	  }
	  else //Alternative method of extracting the XML document from the POST data
	  {
		if(empty($_POST)) 
			return '';
		$ret = '';
		foreach($_POST as $k => $v)
		  $ret .= ($k == '<result><assessment_result_ident_ref' ? '<result><assessment_result ident_ref' : $k) . "=$v";
		return $ret;
	  }
	}//END FUNCTION...

?>